#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: STMonadTrans
version: 0.4.3
id: STMonadTrans-0.4.3-BjHxrfjqqDp1HRAb8EzNRn
key: STMonadTrans-0.4.3-BjHxrfjqqDp1HRAb8EzNRn
license: BSD3
maintainer: josef.svenningsson@gmail.com
synopsis: A monad transformer version of the ST monad
description:
    A monad transformer version of the ST monad
    Warning! This monad transformer should not be used with monads that
    can contain multiple answers, like the list monad. The reason is that
    the state token will be duplicated across the different answers and
    this causes Bad Things to happen (such as loss of referential
    transparency). Safe monads include the monads State, Reader, Writer,
    Maybe and combinations of their corresponding monad transformers.
category: Monads
author: Josef Svenningsson
exposed: True
indefinite: False
exposed-modules:
    Control.Monad.ST.Trans Control.Monad.ST.Trans.Internal
abi: 25bc70fc956744c1cf2ce1f97df9fdf9
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/STMonadTrans-0.4.3
library-dirs: /usr/lib/ghc-8.2.1/site-local/STMonadTrans-0.4.3
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.1/STMonadTrans-0.4.3
hs-libraries: HSSTMonadTrans-0.4.3-BjHxrfjqqDp1HRAb8EzNRn
depends:
    base-4.10.0.0 mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3 array-0.5.2.0
abi-depends: base-4.10.0.0=835a16347ec1b210054efd02671c29ee
             mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3=dff2eda61fc7cfa040a2eb3f0192c69a
             array-0.5.2.0=f1e5b16bbab6fd27896e28be963fa7eb
haddock-interfaces: /usr/share/doc/haskell-stmonadtrans/html/STMonadTrans.haddock
haddock-html: /usr/share/doc/haskell-stmonadtrans/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

